Qt 5.6 | Qt 3D | C++ Classes | QPlaneMesh

Qt 5.6.3 Reference Documentation

# QPlaneMesh Class

(Qt3DRender::QPlaneMesh)

A square planar mesh. More...

Header: | #include <QPlaneMesh>
qmake: | QT += 3drender
Instantiated By: | PlaneMesh
Inherits: | QGeometryRenderer

- List of all members, including inherited members

## Properties

- height : float
- meshResolution : QSize
- width : float

- 8 properties inherited from Qt3DRender::QGeometryRenderer
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPlaneMesh(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QPlaneMesh()
float | height() const
QSize | meshResolution() const
float | width() const

- 10 public functions inherited from Qt3DRender::QGeometryRenderer
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setHeight(float height)
void | setMeshResolution(const QSize &resolution)
void | setWidth(float width)

- 8 public slots inherited from Qt3DRender::QGeometryRenderer
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | heightChanged(float height)
void | meshResolutionChanged(const QSize &meshResolution)
void | widthChanged(float width)

- 8 signals inherited from Qt3DRender::QGeometryRenderer
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QGeometryRenderer
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

A square planar mesh.

## Property Documentation

### height : float

Holds the plane height.

Access functions:

float | height() const
void | setHeight(float height)

Notifier signal:

void | heightChanged(float height)

### meshResolution : QSize

Holds the plane resolution.

Access functions:

QSize | meshResolution() const
void | setMeshResolution(const QSize &resolution)

Notifier signal:

void | meshResolutionChanged(const QSize &meshResolution)

### width : float

Holds the plane width.

Access functions:

float | width() const
void | setWidth(float width)

Notifier signal:

void | widthChanged(float width)

## Member Function Documentation

### QPlaneMesh::QPlaneMesh(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QPlaneMesh.

### QPlaneMesh::~QPlaneMesh()

Destroys this plane mesh.